Description

Personally, I think each app should be extremely friendly for new users. So, I decided to create two icons for one of the most usfull ide

commands ("Execute" & "Debug") and add them to toolbar .

P.S.

    -  This change is deffinitly not for power upp users (In my opinion, they will still prefer "F5" shortcut).

    -  This change is friendly for new upp users (noouppers ;)).

    -  In some cases it is aslow usfull for power user for instance: clicking on "Execute" icon can be faster than pressing SHIFT+F5

shortcut.

    -  In the near future I will publish simillar update for debuggers (Stop debugging icon equivalent - "SHIFT+F5"). Moreover debugger

toolbar needs additional fixes on POSIX.

    -  I tried to design icons that will fit to upp global style. Of course, current design is only proposition, but I spend a lot of time to create

them in its present form.

Related issues:

Related to Feature # 579: IDE tool bar should contain shortcut for "Stop debu... Approved 11/19/2013

History

#1 - 11/19/2013 01:23 AM - Zbigniew Rebacz

- File ide.key added

In my opinion, we need also to change two following commands names (ide.key):

KEY(DEBUGTO, "Run (in debugger)", K_CTRL_F10)

KEY(DEBUGEXT, "Run to cursor (in debugger)", K_ALT_F5)

to

KEY(DEBUG, "Debug", K_F5)

KEY(DEBUGTO, "Debug to cursors", K_CTRL_F10)

This is dictated by the fact that the brackets don't look nice in command name.

#2 - 11/19/2013 03:07 AM - Zbigniew Rebacz

- File deleted (idebar.cpp)

#3 - 11/19/2013 03:07 AM - Zbigniew Rebacz

- File idebar.cpp added
#4 - 11/19/2013 03:12 AM - Zbigniew Rebacz

- File deleted (idebar.cpp)

#5 - 11/19/2013 03:12 AM - Zbigniew Rebacz

- File idebar.cpp added

#6 - 12/02/2013 12:55 AM - Zbigniew Rebacz

- Status changed from Patch ready to In Progress

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

- % Done changed from 100 to 70

I have new idea for this feature...

#7 - 12/02/2013 01:52 PM - Zbigniew Rebacz

- File deleted (idebar.cpp)

#8 - 12/02/2013 01:53 PM - Zbigniew Rebacz

- File deleted (ide.iml)

#9 - 12/02/2013 01:54 PM - Zbigniew Rebacz

- File ide.iml added

- File idebar.cpp added

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

- % Done changed from 70 to 100

I think this patch is finished...

#10 - 12/02/2013 02:13 PM - Zbigniew Rebacz

BTW, Icons are smooth now.

#11 - 12/02/2013 05:08 PM - Zbigniew Rebacz

- Status changed from In Progress to Ready for QA

#12 - 12/03/2013 09:14 AM - Miroslav Fidler

- Status changed from Ready for QA to Patch ready

#13 - 12/18/2013 07:23 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

ExecuteDebugDemo2.png 155 KB 11/18/2013 Zbigniew Rebacz

ide.key 4.29 KB 11/19/2013 Zbigniew Rebacz

ide.iml 285 KB 12/02/2013 Zbigniew Rebacz

idebar.cpp 20.9 KB 12/02/2013 Zbigniew Rebacz
